Mail archive
alpine-aports

[alpine-aports] [PATCH 3/4] main/perl-compress-raw-zlib: remove man pages

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 29 Jan 2016 23:39:03 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-compress-raw-zlib-doc should thus result in a conflict.
---
 main/perl-compress-raw-zlib/APKBUILD | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/main/perl-compress-raw-zlib/APKBUILD b/main/perl-compress-raw-zlib/APKBUILD
index 398aa34..4fa9164 100644
--- a/main/perl-compress-raw-zlib/APKBUILD
+++ b/main/perl-compress-raw-zlib/APKBUILD
_at_@ -3,7 +3,7 @@
 pkgname=perl-compress-raw-zlib
 _realname=Compress-Raw-Zlib
 pkgver=2.069
-pkgrel=0
+pkgrel=1
 pkgdesc="Perl low-level interface to zlib compression library"
 url="http://search.cpan.org/dist/Compress-Raw-Zlib/"
 arch="all"
_at_@ -11,11 +11,10 @@ license="GPL PerlArtistic"
 depends="perl"
 makedepends="perl-dev"
 install=
-subpackages="$pkgname-doc"
+subpackages=""
 source="http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/${_realname}-${pkgver}.tar.gz"
 
 _builddir="$srcdir/$_realname-$pkgver"
-
 build() {
 	cd $_builddir
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
_at_@ -28,6 +27,9 @@ package() {
 	make DESTDIR="$pkgdir" install
 	# creates file collision among perl modules
 	find "$pkgdir" -name perllocal.pod -delete
+
+	# man pages are already provided by perl-doc
+	rm -rf /usr/share/man || return 1
 }
 
 md5sums="c1f99178e6e29b0037785afa6d8bbcff  Compress-Raw-Zlib-2.069.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jan 29 2016 - 23:39:03 GMT